From: [email-masked]
Date: Sun, 15 May 1994 16:39:52 -0600 (CST)

To everyone who responded to the previous message regarding the  Lesbian
Avenger Pride Ride through the South to Stonewall 25, please
re-send us your email address and whether you wanted to help or to
come along, etc....  We had a slight problem and all the messages were
deleted by accident!  Thanks. xoxo, the Lesbian Avengers

[email-masked]
512/370-4613